Bug 1477023 - Elantech Touchpad Not Detected in Fedora 26 [NEEDINFO]
Elantech Touchpad Not Detected in Fedora 26
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-08-01 01:40 EDT by shawnbrown
Modified: 2018-03-07 11:21 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-03-07 11:21:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (03sjbrown+redhat)

Attachments (Terms of Use)
Comparison of /proc/bus/input/devices (Ubuntu 17.04 vs Fedora 26) (217.36 KB, image/png)
2017-08-01 01:40 EDT, shawnbrown
no flags Details

  None (edit)
Description shawnbrown 2017-08-01 01:40:27 EDT
Created attachment 1307365 [details]
Comparison of /proc/bus/input/devices (Ubuntu 17.04 vs Fedora 26)

Description of problem:

  My laptop's touchpad does not work in Fedora 26.

Version-Release number of selected component: 

  OS: Fedora 26
  Kernel: 4.11.11-300.fc26.x86_64

  Laptop: Lenovo s215 Ideapad
  Touchpad: ETPS/2 Elantech Touchpad

How reproducible:

  The undesired behavior is 100% consistent on my machine--it is not an intermittent problem.

Steps to Reproduce:

1. Get a Lenovo s215 Ideapad with a built-in ETPS/2 Elantech Touchpad.
2. Boot the computer using the Fedora 26 live USB image. 

Actual results:

  I am unable to use the touchpad to move the cursor, scroll, or click buttons.

Expected results:

  I expect the touchpad to work the same as it does using Ubuntu 17.04...
  * Sliding one finger over the touchpad should move the mouse pointer.
  * Using two fingers, I should be able to scroll up and down.
  * Tapping once on the touchpad should register as a left-button click.
  * Pressing the touchpad's buttons should register the appropriate button-click with the computer.

Additional info:

1. The touchpad doesn't appear to be recognized. I see a few bug reports about intermittent behavior of the ETPS/2 Elantech but that not what I'm experiencing. The touchpad does not respond in any way but all other input devices (keyboard, USB mouse, etc.) work fine with no problems.

2. I know my bootable USB image is good: I've verified it and I have used it to install Fedora on my desktop computer. The desktop machine is working great and I'm very happy with it.

3. To be clear, the laptop's touchpad is physically fine and it works under Ubuntu without problems.

4. Using an external USB mouse works fine.

5. I toggled the laptop's enable/disable-touchpad function (Fn+F6 on my laptop) to confirm that it should be working. But there was no effect.

6. I did some searching saw that touchpad issues *could* be kernel related (elantech.c and elantech.h in https://github.com/torvalds/linux/tree/master/drivers/input/mouse). So I did "sudo dnf upgrade" to get the latest updates and make sure I was using the most recent kernel. I made sure to reboot the machine but this didn't help.

7. I saw that Fedora 26 has retired the Synaptics driver in favor of libinput. So I tried replacing libinput with the legacy Synaptics driver using the following commands:

  sudo dnf remove xorg-x11-drv-libinput
  sudo dnf install xorg-x11-drv-synaptics-legacy

I rebooted the machine but there was no change. After this, I put things back where I found them--removing the legacy synaptics driver and reinstalling libinput.

8. I ran "cat /proc/bus/input/devices" on the same machine under both Fedora 26 and Ubuntu 17.04. In both distributions, the devices listed are the same except that the touchpad is missing in Fedora 26. See attached image.
Comment 1 shawnbrown 2017-08-01 01:51:36 EDT
I should note that in #6 under "Additional info", I did a full install of Fedora 26 onto a second USB drive. So when I upgraded to the latest kernel, that was on a proper install--not on the live USB image.
Comment 2 Laura Abbott 2018-02-27 22:36:44 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
If you experience different issues, please open a new bug report for those.
Comment 3 shawnbrown 2018-03-05 18:21:05 EST
Hello. Between the time of the initial report and now, I had fallen back to running Ubuntu on my device until this was sorted. But on March 4th (after being prompted by your followup message), I downloaded the current Fedora 27 ISO and installed it. 

The current F27 ISO installs kernel-4.13.9-300.fc27.x86_64 which has the same problem--the touchpad still didn't work.

But after installation, I upgraded the kernel ("sudo dnf upgrade kernel") which installed kernel-4.15.6-300.fc27.x86_64 and after a reboot, IT STARTED WORKING!

So, the issue appears to be fixed in the 4.15.x kernel (though I can't say specifically regarding F26 as I only tested on F27).

For me, this issue is resolved. But if you want me to do more-specific tests or provide any info from my machine, please let me know.

Thanks for checking in--I'm very happy to see this working now!
Comment 4 Jeremy Cline 2018-03-07 11:21:09 EST
Great, thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.